//
//  ViewController.swift
//  Demo2WaysSlider
//
//  Created by Monkey KING on 15/11/2022.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var customSlider: TWSlider!
    private let data: [String] = ["10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20"]
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        customSlider.then {
            $0.shouldSliderButtonOverlap = true
            $0.delegate = self
        }
        customSlider.then {
            $0.setNumberOfSegments(data.count, minText: data.first, maxText: data.last)
            $0.scrollStartSlider(to: 0 + 1, andEnd: 10 + 1)
        }
    }
}

extension ViewController: TWSliderDelegate {
    func sliderScrolled(_ slider: TWSlider?, toMinIndex minIndex: Int, andMaxIndex maxIndex: Int, endDragDrop: Bool) {
        customSlider.minRangeText = data[minIndex]
        customSlider.maxRangeText = data[maxIndex]
    }
}
